petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCMGalerkinType

Determines if the coarse grid operators are computed via the Galerkin process

### Synopsis

    typedef enum { PC_MG_GALERKIN_BOTH,PC_MG_GALERKIN_PMAT,PC_MG_GALERKIN_MAT, PC_MG_GALERKIN_NONE, PC_MG_GALERKIN_EXTERNAL} PCMGGalerkinType;

### Values

| PC_MG_GALERKIN_PMAT | - computes the pmat (matrix from which the preconditioner is built) via the Galerkin process from the finest grid
| PC_MG_GALERKIN_MAT | - computes the mat (matrix used to apply the operator) via the Galerkin process from the finest grid
| PC_MG_GALERKIN_BOTH | - computes both the mat and pmat via the Galerkin process (if pmat == mat the construction is only done once
| PC_MG_GALERKIN_NONE | - neither operator is computed via the Galerkin process, the user must provide the operator

Users should never set PC_MG_GALERKIN_EXTERNAL, it is used by GAMG and ML

### See Also

PCMGSetCycleType()

### Level

beginner

### Location

src/ksp/pc/../../../include/petscpctypes.h

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages